Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024774
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-09-14 18:142013-09-23 10:02
ReportershuehnerView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP29
StatusclosedFix in branchFixed in SCM revision4e3c3ac57308
ProjectionnoneETAnoneTarget Version3.0MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2013-09-04
Regression introduced in release
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/08a91cdea3691b343e03fc4489d0602607ff1e41 [^]
Triggers an Emergency PackNo
Summary

0024774: New delete progress prompt is shown forever if delete action is cancelled.

DescriptionWhen using the 'delete' record icon on a record and then cancelling the deletion in the confirmation popup then the 'deletion' progress prompt is also shown and never removed.
Steps To ReproduceOpen Sales Order window
create and save a header
Press 'delete' icon on that record
in the confirmation popup, cancel the deletion.
Note that the deletion prompt is also shown and never removed.
Proposed SolutionDo not show the deletion progress prompt at all if the delete action is cancelled.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00246113.0MP28 closedshankarb System is not giving information when deleting records takes long time 

-  Notes
(0061160)
hgbot (developer)
2013-09-15 09:28

Repository: erp/devel/pi
Changeset: 4e3c3ac57308d8f1657e993e8a0acc430feed1fd
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Sun Sep 15 12:41:11 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4e3c3ac57308d8f1657e993e8a0acc430feed1fd [^]

Fixes Issue 0024774: New delete progress prompt is shown forever if delete action is cancelled.

The delete prompt is shown only if yes is selected when asking confirmation for delete.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0061252)
hudsonbot (developer)
2013-09-17 19:03

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test
(0061342)
alostale (developer)
2013-09-23 10:02

Code reviewed + tested

- Issue History
Date Modified Username Field Change
2013-09-14 18:14 shuehner New Issue
2013-09-14 18:14 shuehner Assigned To => shankarb
2013-09-14 18:14 shuehner Modules => Core
2013-09-14 18:14 shuehner Triggers an Emergency Pack => No
2013-09-14 18:14 shuehner Relationship added related to 0024611
2013-09-14 18:15 shuehner Regression level => Pre packaging ( pi )
2013-09-14 18:15 shuehner Regression date => 2013-09-04
2013-09-14 18:15 shuehner Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/08a91cdea3691b343e03fc4489d0602607ff1e41 [^]
2013-09-15 09:11 shankarb Review Assigned To => alostale
2013-09-15 09:28 hgbot Checkin
2013-09-15 09:28 hgbot Note Added: 0061160
2013-09-15 09:28 hgbot Status new => resolved
2013-09-15 09:28 hgbot Resolution open => fixed
2013-09-15 09:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4e3c3ac57308d8f1657e993e8a0acc430feed1fd [^]
2013-09-17 19:03 hudsonbot Checkin
2013-09-17 19:03 hudsonbot Note Added: 0061252
2013-09-23 10:02 alostale Note Added: 0061342
2013-09-23 10:02 alostale Status resolved => closed
2013-09-23 10:02 alostale Fixed in Version => 3.0MP29


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker